body {
    background-color: #F9F9F9;
}

#loginpage {
    background-color: #EEEEEE;
}

#top-message-div {
    background-color: #FFFFD2;
    color: black;
    text-align: center;
    font-size: x-large;
    border-style: dotted;
    border-color: coral;
    border-width: thin;
}

div.ko_message#top-message-div {
    color: red;
}

.warning_mesage {
    background-color: #FFFFD2;
    color: red;
    font-weight: bold;
    font-size: large;
    border-style: dotted;
    border-color: coral;
    border-width: thin;
}

div.configunlocked#lockconfigdiv {
    color: red;
    background: none;
    height: 27px;
    vertical-align: middle;
    display: table-cell;
}

div.configlocked#lockconfigdiv {
    background: url(lock.png) no-repeat left;
    color: red;
    /*background: none;*/
    font-weight: bold;
    background-color: yellow;
    height: 27px;
    padding-left: 35px;
    vertical-align: middle;
    display: table-cell;
    border-width: thin;
    border-style: dotted;
    border-color: coral;
}

div.configlocked#lockcliadd,
div.configlocked#locktelnum {
    background: url(lock.png) no-repeat left;
    background-color: yellow;
    height: 27px;
    padding-left: 35px;
    vertical-align: middle;
    display: table-cell;
    border-width: thin;
    border-style: dotted;
    border-color: coral;
}

div.configunlocked#lockcliadd,
div.configunlocked#locktelnum {
    background: url(edit.png) no-repeat left;
    background-color: yellow;
    height: 27px;
    padding-left: 35px;
    vertical-align: middle;
    display: table-cell;
    border-width: thin;
    border-style: dotted;
    border-color: coral;
}

div.configlockederror {
    background: url(lock.png) no-repeat left;
    background-color: red;
    height: 23px;
    padding-left: 35px;
    vertical-align: middle;
    display: table-cell;
    border-width: thin;
    border-style: dotted;
    border-color: coral;
}

div.configlocked {
    background: url(lock.png) no-repeat left;
    background-color: yellow;
    height: 23px;
    padding-left: 35px;
    vertical-align: middle;
    display: table-cell;
    border-width: thin;
    border-style: dotted;
    border-color: coral;
}

input {
    border-color: #7b99e7;
}

input:focus {
    background: khaki;
    /*color: #fff*/
}

textarea:focus {
    background: khaki;
    /*color: #fff*/
}

#logintable {
    background-color: #eeeed0;
}

#logintable th {
    background-color: #EEEEEE;
}

#flag_ita {
    float: left;
    height: 35px;
    width: 150px;
    background: url(../../ITA.gif) no-repeat;
    cursor: pointer;
}

.pononga-btn {
    border-radius: 4px;
    background-color: #f4511e;
    border: none;
    color: #FFFFFF;
    text-align: center;
    font-size: 13px;
    padding: 12px;
    width: 200px;
    transition: all 0.5s;
    cursor: pointer;
    margin: 5px;
    margin-top: 1px;
}

.pononga-btn-highlighted {
    background-color: #2F4AC2;
}

.pononga-btn span {
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: 0.5s;
}

.pononga-btn span:after {
    content: '\00bb';
    position: absolute;
    opacity: 0;
    top: 0;
    right: -20px;
    transition: 0.5s;
}

.pononga-btn:hover span {
    padding-right: 25px;
}

.pononga-btn:hover span:after {
    opacity: 1;
    right: 0;
}

#modal-background {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    opacity: .50;
    -webkit-opacity: .5;
    -moz-opacity: .5;
    filter: alpha(opacity=50);
    z-index: 1000;
}

.modal-button-content {
    padding: 15px;
}

.modal-header-content {
    border-bottom: 1px solid grey;
}

.modal-content-wrapper li {
    padding-bottom: 3px;
}

.modal-content-wrapper {
    padding: 0px 5px;
}

.modal-header-title {
    text-align: center;
    font-weight: 800;
    margin: 6px 0px;
}

#modal-content {
    background-color: white;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    box-shadow: 0 0 20px 0 #222;
    -webkit-box-shadow: 0 0 20px 0 #222;
    -moz-box-shadow: 0 0 20px 0 #222;
    display: none;
    height: 260px;
    left: 50%;
    margin: -120px 0 0 -160px;
    padding: 10px;
    position: absolute;
    top: 50%;
    width: 320px;
    z-index: 1000;
}

#modal-background.active,
#modal-content.active {
    display: block;
}

#modal-close {
    top: 0;
    right: 0;
    position: absolute;
    padding: 10px;
    cursor: pointer;
}

#flag_ita_small {
    height: 32px;
    width: 139px;
    background: url(../../ITA_intro.gif) no-repeat;
    background-color: #F9F9F9;
    cursor: pointer;
}

#flag_eng {
    margin-left: 10px;
    float: left;
    width: 150px;
    height: 35px;
    background: url(../../ENG.gif) no-repeat;
    cursor: pointer;
}

#flag_eng_small {
    margin-left: 10px;
    float: left;
    width: 150px;
    height: 35px;
    background: url(../../ENG_intro.gif) no-repeat;
    cursor: pointer;
}

#flag_search {
    margin-left: 10px;
    float: left;
    width: 150px;
    height: 35px;
    background: url(../../Cerca.jpg) no-repeat;
    cursor: pointer;
}

#separatore-top {
    height: 2px;
    width: 100%;
    background: gray;
    /*margin-bottom: 10px;*/
}

#separatore-bottom {
    height: 2px;
    width: 100%;
    background: gray;
    margin-top: 10px;
}

#menu-table {
    width: 170px;
    min-width: 170px;
    padding: 1px;
}

#menu-table table {
    left: 6px;
    top: 54px;
    width: 170px;
}

#menu-table tr {
    cursor: pointer;
    background-color: #CCDDEE;
    width: 170px;
    min-width: 170px;
    /*cornflowerblue;*/
}

#menu-table td {
    border-style: dotted;
    border-width: thin;
    border-color: white;
    padding: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
}

#menu-table td.selected {
    padding-left: 5px;
    background-color: #7b99e7;
}

#menu-table td:hover {
    background-color: #7b99e7;
}

td#content-table {
    padding-top: 3px;
    padding-left: 10px;
    padding-right: 10px;
}

td#content-table tr {
    text-align: center;
}

table.settings {
    border-spacing: 1px;
    text-align: center;
    background-color: #000000;
    border: 0px;
}

.content {
    /*margin: 0px auto;*/
    background-color: #EEEEEE;
    width: 100%;
    padding-bottom: 15px;
    padding-left: 20px;
    padding-right: 20px;
}

.content caption {
    font-size: x-large;
    font-weight: bold;
    padding-top: 5px;
    padding-bottom: 5px;
    background-color: #7b99e7;
    /* cornflowerblue; */
    color: #f9f9f9;
}

.content tr {
    text-align: center;
}

.content th {
    font-size: larger;
    padding-top: 10px;
    padding-bottom: 15px;
}

.inside-content {
    border-color: red;
    border-width: thin;
    border-spacing: 0px;
    width: 100%;
}

.inside-content caption {
    font-size: large;
    font-weight: bold;
    padding-top: 5px;
    padding-bottom: 5px;
    background-color: #7b99e7;
    color: #f9f9f9;
}

.inside-content tr {
    background-color: #F4F4F4;
    padding-top: 5px;
    padding-bottom: 5px;
}

.inside-content tr.separatore th {
    background-color: #FFBB33;
}

form {
    margin: 0px;
}

.inside-content tr.hoverable {}

.inside-content tr.hoverable:hover {
    background-color: #FFD700;
}

.inside-content tr.hoverable:hover td.form-lable {
    background-color: #f9f9f9;
}

.inside-content tr.hoverable:hover td.form-lable-short {
    background-color: #f9f9f9;
}

.inside-content tr.hoverable:hover td.form-field {
    background-color: #CCDDEE;
}

.inside-content tr.unanswered_call {
    background-color: dodgerblue;
}

.inside-content tr.refused_call {
    background-color: #FF3939;
}

.inside-content tr.failed_call {
    background-color: #FF3939;
}

.inside-content tr.ip2ip_call {
    background-color: #90EE90;
}

.inside-content tr.inbandmessage_call {
    background-color: ORANGE;
}

.inside-content tr.authfailed_call {
    background-color: Khaki;
}

.inside-content tr.rowcolor1 {
    background-color: #F4F4F4;
}

.inside-content tr.rowcolor2 {
    background-color: #eeeed0;
}

.inside-content tr.normal_1 {
    background-color: #F4F4F4;
}

.inside-content tr.normal_1:hover {
    background-color: #FFD700;
    /*gold*/
}

.inside-content tr.normal_1:hover td.form-lable {
    background-color: #FFD700;
}

.inside-content tr.normal_2 {
    background-color: #eeeed0;
}

.inside-content tr.normal_2:hover {
    background-color: #FFD700;
}

.inside-content tr.normal_2:hover td.form-lable {
    background-color: #FFD700;
}

.inside-content tr.disabled {
    background-color: #999999;
}

.inside-content tr.disabled:hover {
    background-color: #FFD700;
}

.inside-content tr.rowselected {
    background-color: goldenrod;
}

.inside-content th {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
    background-color: #CCDDEE;
    font-size: medium;
}

.inside-content td {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
}

.inside-content td.form-lable {
    background-color: #CCDDEE;
    text-align: left;
    font-weight: bold;
    min-width: 250px;
    width: 25%;
}

.inside-content td.form-lable-short {
    background-color: #CCDDEE;
    text-align: left;
    font-weight: bold;
    min-width: 150px;
    width: 20%;
}

.inside-content td.rightalign {
    text-align: right;
}

.inside-content td.form-field {
    text-align: left;
    vertical-align: middle;
}

.invisible tr {
    background-color: transparent;
}

td.notes {
    font-style: italic;
    text-align: left;
    background-color: lightgrey;
}

.inside-content th.locked {
    background: url("lock.png") no-repeat left;
    background-color: #CCDDEE;
}

.collapsed caption {
    cursor: pointer;
}

table.settings td {
    padding: 6px;
}

table.settings tr.header {
    background-color: #CCDDEE;
}

table.settings tr.separatore {
    background-color: #CCDDEE;
}

table.settings tr.activesetting {
    background-color: #EEEEEE;
}

table.settings tr.disabledsetting {
    background-color: #999999;
}

input.delete {
    background: url(remove.png) no-repeat;
}

div.blockedroute {
    background-color: red;
}

div.globalroute {
    background-color: lightgrey;
}

div.emptyspacesmall {
    width: 5px;
    height: 25px;
    float: left;
}

div.emptyspace {
    width: 25px;
    height: 25px;
    float: left;
}

div.up {
    width: 25px;
    height: 25px;
    background: url(up.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.autologin {
    width: 25px;
    height: 25px;
    background: url(up.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.down {
    width: 25px;
    height: 25px;
    background: url(down.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.reload {
    width: 25px;
    height: 25px;
    background: url(refresh.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.info {
    width: 25px;
    height: 25px;
    background: url(info.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.addinfo {
    width: 25px;
    height: 25px;
    background: url(add_comment.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.setdefault {
    width: 25px;
    height: 25px;
    background: url(lock.png) no-repeat;
    float: left;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.locked {
    width: 25px;
    height: 25px;
    background: url(lock.png) no-repeat;
    float: left;
}

div.addnew {
    width: 25px;
    height: 25px;
    background: url(add.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.addnewuser {
    width: 25px;
    height: 25px;
    background: url(user_add_24.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.addnewuserpin {
    width: 25px;
    height: 25px;
    background: url(pin_24.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.addnewappconfiguration {
    width: 25px;
    height: 25px;
    background: url(smartphone24.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.addnewgroup {
    width: 25px;
    height: 25px;
    background: url(group_add_24.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.download {
    width: 25px;
    height: 25px;
    background: url(download.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.addnewbig {
    width: 48px;
    height: 48px;
    background: url(add_big.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.edit {
    width: 25px;
    height: 25px;
    background: url(edit.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.edittable {
    width: 25px;
    height: 25px;
    background: url(tableedit.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.edittools {
    width: 25px;
    height: 25px;
    background: url(editrouting.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.update {
    width: 25px;
    height: 25px;
    background: url(save.png) no-repeat;
    float: right;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.filter_big {
    width: 48px;
    height: 48px;
    background: url(filter_big.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.gonext {
    width: 25px;
    height: 25px;
    background: url(go.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.submitdata {
    width: 25px;
    height: 25px;
    background: url(go.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.viewstatus {
    width: 25px;
    height: 25px;
    background: url(go.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.disable {
    width: 25px;
    height: 25px;
    background: url(disable.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.disable_user {
    width: 25px;
    height: 25px;
    background: url(disable_user.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 0px;
    margin-bottom: 0px;
}

div.enable_user {
    width: 25px;
    height: 25px;
    background: url(enable_user.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 0px;
    margin-bottom: 0px;
}

div.delete {
    width: 25px;
    height: 25px;
    background: url(remove.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.exit {
    width: 25px;
    height: 25px;
    background: url(exit.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 3px;
}

div.profilitariffari {
    width: 25px;
    height: 25px;
    background: url(profilitariffari.png) no-repeat;
    float: left;
    margin-top: 0px;
    margin-bottom: 0px;
}

div.profilitariffariedit {
    width: 25px;
    height: 25px;
    background: url(profilitariffariedit.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 0px;
    margin-right: 5px;
}

div.profilitariffarisimpleedit {
    width: 25px;
    height: 25px;
    background: url(edit.png) no-repeat;
    float: left;
    cursor: pointer;
    margin-top: 3px;
    margin-bottom: 0px;
    margin-right: 5px;
}


/*---------- bubble tooltip -----------*/

a.tt {
    position: relative;
    z-index: 24;
    color: #3CA3FF;
    font-weight: bold;
    text-decoration: none;
}

a.tt span {
    display: none;
}


/*background:; ie hack, something must be changed in a for ie to execute it*/

a.tt:hover {
    z-index: 25;
    color: #aaaaff;
    text-decoration: none;
}

a.tt:hover span.tooltip {
    display: block;
    position: absolute;
    top: 10px;
    left: -40px;
    padding: 15px 0 0 0;
    width: 200px;
    color: #993300;
    text-align: center;
    filter: alpha(opacity: 90);
    KHTMLOpacity: 0.90;
    MozOpacity: 0.90;
    opacity: 0.90;
    text-decoration: none;
    font-size: smaller;
}

a.tt:hover span.top {
    display: block;
    padding: 30px 8px 0;
    background: url(bubble.gif) no-repeat top;
}

a.tt:hover span.middle {
    /* different middle bg for stretch */
    display: block;
    padding: 0 8px;
    background: url(bubble_filler.gif) repeat bottom;
}

a.tt:hover span.bottom {
    display: block;
    padding: 3px 8px 10px;
    color: #548912;
    background: url(bubble.gif) no-repeat bottom;
}

span.clirestricted {
    text-decoration: line-through;
}

span.visiblebox {
    border-color: coral;
    border-style: dotted;
    border-width: thin;
    padding-right: 5px;
}

span.visiblebox_selected {
    background-color: #FF3939;
    border-color: coral;
    border-style: dotted;
    border-width: thin;
    padding-right: 5px;
}

span:hover.visiblebox,
span:hover.visiblebox_selected {
    background-color: yellow;
    padding-right: 5px;
    border-color: coral;
    border-style: dotted;
    border-width: thin;
}

div.class_112mainnumber {}

div.class_112mainnumber_selected {
    background-color: red;
}

div.class_112inheritednumber {}

div.class_112inheritednumber_selected {
    background-color: coral;
}

div.class_112selected {
    font-weight: bold;
    padding-left: 5px;
}

.class_112addresslink_hover a {
    cursor: pointer;
    font-weight: bold;
}

.class_112addresslink a:hover {
    cursor: pointer;
    font-weight: bold;
}

td.header_row {
    font-weight: bold;
    background-color: #7B99E7;
}

td.col_imported {
    background-color: #BCE7C1;
}

td.col_not_imported {
    background-color: grey;
}


/** Tabella dettagli contatto DB112 **/

.details-db112 {
    border: none;
}

.details-db112 label {
    min-width: 200px;
    display: block;
}

.details-db112 fieldset legend {
    text-align: left;
    font-weight: bold;
}

.details-db112 fieldset select {
    width: 100%;
}

.details-db112 fieldset input[type="date"] {
    font-family: sans-serif;
    width: 100%;
}

.details-db112 .checkbox {
    text-align: left;
    cursor: pointer;
}

.details-db112 .checkbox input[type="checkbox"] {
    cursor: pointer;
    float: left;
}

.db112-wrong-value {
    border: 2px solid #f00;
}

.db112-correct-value {
    border-color: #7b99e7;
}


/** Info su dati db112 **/

.info-on-data-db112 {
    display: block;
    height: 24px;
    margin: 0 auto;
    background: url('icon-sprite.png') no-repeat 0 0;
}

.info-on-data-db112-complete {
    width: 24px;
    background-position: 0px 0px;
}

.info-on-data-db112-incomplete {
    width: 27px;
    background-position: -24px 0px;
}

.info-on-data-db112-not-complaint {
    width: 24px;
    background-position: -51px 0px;
}


/** Alert **/

.alert {
    color: #00804a;
}


/**per bloccare il select nella modifica degli utenti**/

.blockselect {
    background-color: #EBEBE4;
    width: 200px;
    height: 21px;
    opacity: 0.6;
    display: block;
    position: relative;
    top: -20px;
    left: 0;
}

.selectedit {
    width: 200px;
}

.label_span {
    padding-left: 15px;
    color: #0066FF;
    font-family: arial;
    font-size: 12pt;
    font-weight: bold;
}

.admin {
    border-bottom: 3pt solid red;
}

.group {
    border-bottom: 3pt solid greenyellow;
}

.user {
    border-bottom: 3pt solid black;
}

.hide {
    display: none;
}

.container-comuni {
    width: 313px;
    position: absolute;
    padding: 5px;
    z-index: 9999;
    background-color: white;
}

.radiobutton {
    position: absolute;
    opacity: 0;
}

.container-dropdown {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.container-dropdown li {
    position: relative;
    margin: 0;
    padding: 0;
    border-bottom: 1px solid #ccc;
}

.container-dropdown li:last-child {
    border: none;
}

.container-dropdown li input[type="radio"] {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1000;
    top: 0;
    left: 0;
    cursor: pointer;
}

.container-dropdown li label {
    display: block;
    box-sizing: border-box;
    width: 100%;
    padding: 2px 4px;
}

.container-dropdown li input[type="radio"]:hover~label {
    background-color: #ccc;
    color: #999;
}

.list-box {
    margin-right: auto;
    margin-top: 20px;
    background-color: white;
    border: black 0.5px solid;
    padding: 3px;
    overflow-y: scroll;
    max-height: 200px;
    overflow-y: auto;
}

.linkedusers-row {
    background: url(tableedit.png) no-repeat;
}

.porability-custom-notice {
    background: yellow;
    border: 2px solid black;
    font-size: 120%;
    font-weight: bold;
    padding: 5px;
}

.phonenumbers-dbu {
    width: 100%;
    max-width: 250px;
    text-align: left;
}

.phonenumbers-dbu td {
    text-align: left;
    width: 70px;
}

.phonenumbers-dbu td+td {
    width: 180px;
}

.lds-ripple {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
  }
  .lds-ripple div {
    position: absolute;
    border: 4px solid #7B99E7;
    opacity: 1;
    border-radius: 50%;
    animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
  }

  .lds-ripple div:nth-child(2) {
    animation-delay: -0.5s;
  }
  @keyframes lds-ripple {
    0% {
      top: 36px;
      left: 36px;
      width: 0;
      height: 0;
      opacity: 0;
    }
    4.9% {
      top: 36px;
      left: 36px;
      width: 0;
      height: 0;
      opacity: 0;
    }
    5% {
      top: 36px;
      left: 36px;
      width: 0;
      height: 0;
      opacity: 1;
    }
    100% {
      top: 0px;
      left: 0px;
      width: 72px;
      height: 72px;
      opacity: 0;
    }
  }
  